gstreamermm: Gst::StaticPadTemplate Class Reference

gstreamermm 1.10.0

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Gst::StaticPadTemplate Class Reference

`#include <gstreamermm/padtemplate.h>`

## Public Member Functions
| StaticPadTemplate (const StaticPadTemplate& other) noexcept
StaticPadTemplate& | operator= (const StaticPadTemplate& other) noexcept
| StaticPadTemplate (StaticPadTemplate&& other) noexcept
StaticPadTemplate& | operator= (StaticPadTemplate&& other) noexcept
| StaticPadTemplate ()
| StaticPadTemplate (const GstStaticPadTemplate* gobject)
GstStaticPadTemplate* | gobj ()
| Provides access to the underlying C instance. More...
const GstStaticPadTemplate* | gobj () const
| Provides access to the underlying C instance. More...
Glib::RefPtr< Gst::Caps > | get_caps ()
| Gets the capabilities of the static pad template. More...
Glib::RefPtr< const Gst::Caps > | get_caps () const
| Gets the capabilities of the static pad template. More...
Glib::RefPtr< Gst::PadTemplate > | get ()
| Converts a Gst::StaticPadTemplate into a Gst::PadTemplate. More...
Glib::ustring | get_name_template () const
| Get the nametemplate of the padtemplate. More...
PadDirection | get_direction () const
| Get the Gst::PadDirection of the padtemplate. More...
PadPresence | get_presence () const
| Get the Gst::PadPresence of the padtemplate. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
GstStaticPadTemplate | gobject_

## Related Functions
(Note that these are not member functions.)
Gst::StaticPadTemplate& | wrap (GstStaticPadTemplate* object)
const Gst::StaticPadTemplate& | wrap (const GstStaticPadTemplate* object)

## Constructor & Destructor Documentation

## ◆ StaticPadTemplate() [1/4]

Gst::StaticPadTemplate::StaticPadTemplate | ( | const StaticPadTemplate& | other | ) |
| noexcept

## ◆ StaticPadTemplate() [2/4]

Gst::StaticPadTemplate::StaticPadTemplate | ( | StaticPadTemplate&& | other | ) |
| noexcept

## ◆ StaticPadTemplate() [3/4]

Gst::StaticPadTemplate::StaticPadTemplate | ( |  | ) |

## ◆ StaticPadTemplate() [4/4]

Gst::StaticPadTemplate::StaticPadTemplate | ( | const GstStaticPadTemplate * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ get()

Glib::RefPtr<Gst::PadTemplate> Gst::StaticPadTemplate::get | ( |  | ) |

Converts a Gst::StaticPadTemplate into a Gst::PadTemplate.

Returns
  A new Gst::PadTemplate.

## ◆ get_caps() [1/2]

Glib::RefPtr<Gst::Caps> Gst::StaticPadTemplate::get_caps | ( |  | ) |

Gets the capabilities of the static pad template.

Returns
  The Gst::Caps of the static pad template. Unref after usage. Since the core holds an additional ref to the returned caps, use gst_caps_make_writable() on the returned caps to modify it.

## ◆ get_caps() [2/2]

Glib::RefPtr<const Gst::Caps> Gst::StaticPadTemplate::get_caps | ( |  | ) | const

Gets the capabilities of the static pad template.

Returns
  The Gst::Caps of the static pad template. Unref after usage. Since the core holds an additional ref to the returned caps, use gst_caps_make_writable() on the returned caps to modify it.

## ◆ get_direction()

PadDirection Gst::StaticPadTemplate::get_direction | ( |  | ) | const

Get the Gst::PadDirection of the padtemplate.

## ◆ get_name_template()

Glib::ustring Gst::StaticPadTemplate::get_name_template | ( |  | ) | const

Get the nametemplate of the padtemplate.

## ◆ get_presence()

PadPresence Gst::StaticPadTemplate::get_presence | ( |  | ) | const

Get the Gst::PadPresence of the padtemplate.

## ◆ get_type()

static GType Gst::StaticPadTemplate::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GstStaticPadTemplate* Gst::StaticPadTemplate::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GstStaticPadTemplate* Gst::StaticPadTemplate::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

## ◆ operator=() [1/2]

StaticPadTemplate& Gst::StaticPadTemplate::operator= | ( | const StaticPadTemplate& | other | ) |
| noexcept

## ◆ operator=() [2/2]

StaticPadTemplate& Gst::StaticPadTemplate::operator= | ( | StaticPadTemplate&& | other | ) |
| noexcept

## Friends And Related Function Documentation

## ◆ wrap() [1/2]

const Gst::StaticPadTemplate& wrap | ( | const GstStaticPadTemplate * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

## ◆ wrap() [2/2]

Gst::StaticPadTemplate& wrap | ( | GstStaticPadTemplate * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## ◆ gobject_

GstStaticPadTemplate Gst::StaticPadTemplate::gobject_
| protected